### Enumeration

# Xdp OpenUriFlags

#### Declaration

    flags Xdp.OpenUriFlags

#### Description [src]

Options for opening uris.

#### Members

`XDP_OPEN_URI_FLAG_NONE`

  No options.

  - Value: `0`
  - Available since: 1.0
`XDP_OPEN_URI_FLAG_ASK`

  Use an application chooser for the given uri.

  - Value: `1`
  - Available since: 1.0
`XDP_OPEN_URI_FLAG_WRITABLE`

  Allow writing to file (if uri points to a local file that is exported in the document portal and app is sandboxed itself).

  - Value: `2`
  - Available since: 1.0